rosbag2_bagfile_information:
  version: 5
  storage_identifier: sqlite3
  duration:
    nanoseconds: 143431056622
  starting_time:
    nanoseconds_since_epoch: 1713356651742544384
  message_count: 1422
  topics_with_message_count:
    - topic_metadata:
        name: /global_path
        type: nav_msgs/msg/Path
        serialization_format: cdr
        offered_qos_profiles: "- history: 3\n  depth: 0\n  reliability: 1\n  durability: 2\n  deadline:\n    sec: 9223372036\n    nsec: 854775807\n  lifespan:\n    sec: 9223372036\n    nsec: 854775807\n  liveliness: 1\n  liveliness_lease_duration:\n    sec: 9223372036\n    nsec: 854775807\n  avoid_ros_namespace_conventions: false"
      message_count: 1
    - topic_metadata:
        name: /wamv/sensors/position/ground_truth_odometry
        type: nav_msgs/msg/Odometry
        serialization_format: cdr
        offered_qos_profiles: "- history: 3\n  depth: 0\n  reliability: 1\n  durability: 2\n  deadline:\n    sec: 9223372036\n    nsec: 854775807\n  lifespan:\n    sec: 9223372036\n    nsec: 854775807\n  liveliness: 1\n  liveliness_lease_duration:\n    sec: 9223372036\n    nsec: 854775807\n  avoid_ros_namespace_conventions: false"
      message_count: 1421
  compression_format: ""
  compression_mode: ""
  relative_file_paths:
    - rosbag2_2024_04_17-14_24_11_0.db3
  files:
    - path: rosbag2_2024_04_17-14_24_11_0.db3
      starting_time:
        nanoseconds_since_epoch: 1713356651742544384
      duration:
        nanoseconds: 143431056622
      message_count: 1422